Author Topic: How do you get this program to work?  (Read 1223 times)

0 Members and 1 Guest are viewing this topic.

POCKETS

  • Guest
How do you get this program to work?
« on: August 05, 2008, 04:51:50 PM »
How do you get the attached program to work?  I am use to seeing a "defun C:" when I load a lisp program and this one doesn't have it. Why?  I am using R2002.
Many thanks in advance.
Pockets


Code: [Select]
;;; CADALYST 07/08  www.cadalyst.com/code
;;; Tip 2301: QS.lsp    Quadrant Snap (c) 2008 John Loudermilk

;QS.LSP
;Snap to 45 degree angles on circle.

;=================================================================================
(defun QS (/ NO_ENTITY SS ELIST PT0 CP R A PT)
<code removed: see link to get code>

;Return existing error handler
(setq *error* ExistError)

(princ))
;End QS.LSP
« Last Edit: August 05, 2008, 05:25:40 PM by CAB »

CAB

  • Global Moderator
  • Seagull
  • Posts: 10401
Re: How do you get this program to work?
« Reply #1 on: August 05, 2008, 05:04:06 PM »
Type (QS) at the command line OR

Change this line
Code: [Select]
(defun QS (/ NO_ENTITY SS ELIST PT0 CP R A PT)to this:
Code: [Select]
(defun c:QS (/ NO_ENTITY SS ELIST PT0 CP R A PT)and type QS at the command line.
I've reached the age where the happy hour is a nap. (°¿°)
Windows 10 core i7 4790k 4Ghz 32GB GTX 970
Please support this web site.

POCKETS

  • Guest
Re: How do you get this program to work?
« Reply #2 on: August 05, 2008, 05:20:21 PM »
Thanks CAB. That worked.